Bre-B
How to use Bre-B to submit a payin in Colombia.
Last updated
{
"code":"10000",
"msg":"Success",
"prepay_id":"TDBySTJ0******1LST0=-D5D3c75F",
"trade_no":"2025****399",
"out_trade_no":"out_no_338****458",
"web_url":"",
"pay_url": "https://gateway.***",
"trade_status":"PROCESSING",
"qr_code":"00020*****4394B",
"qr_code_img":"iVBORw0KGgo*****K5CYII="
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "out_no_338****458",
* "method": "Bre-B",
* "order_amount": "1000",
* "order_currency": "COP",
* "subject": "trade pay test",
"content": "trade pay test content",
* "notify_url": "http://merchant/callback/success",
"return_url": "https://www.merchant.com",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
* "customer": {
* "identify": {
* "type": "NIT",
* "number": "1234123121"
},
* "name": "Test User Name"
}
}'